# Generated by Django 3.0.5 on 2020-05-02 12:18

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CategorieGrilleTarifaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=50, verbose_name='Nom de la catégorie')),
            ],
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name="Nom de l'organisation")),
                ('particulier', models.BooleanField(default=False, verbose_name='Le client est un particulier')),
                ('adresse', models.CharField(max_length=200, verbose_name="Adresse de l'organisation")),
                ('adresse_seconde_ligne', models.CharField(blank=True, max_length=200, null=True, verbose_name="Deuxième ligne d'adresse")),
                ('ville', models.CharField(max_length=200, null=True, verbose_name="Ville de l'organisation")),
                ('code_postal', models.CharField(max_length=200, null=True, verbose_name='Code postal')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name="Adresse mail de l'organisation")),
                ('telephone', models.CharField(blank=True, max_length=17, null=True, validators=[django.core.validators.RegexValidator(message="Le numéro de téléphone doit être entré au format '+999999999'. 15 chiffres maximum.", regex='^\\+?1?\\d{9,15}$')], verbose_name='numéro de téléphone')),
            ],
        ),
        migrations.CreateModel(
            name='Devis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField(verbose_name='Numéro')),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('label', models.CharField(blank=True, max_length=100, null=True, verbose_name='Libellé court')),
                ('motif', models.CharField(blank=True, max_length=200, null=True, verbose_name='Motif complet')),
                ('fichier', models.FileField(blank=True, null=True, upload_to='devis/')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DevisElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Nom de la prestation')),
                ('quantite', models.IntegerField(verbose_name='Quantité')),
                ('prix', models.FloatField(verbose_name='Prix de la prestation')),
                ('coefficient', models.FloatField(default=1.0, verbose_name='Coefficient multiplicatif')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EntreeGrilleTarifaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Nom de la prestation')),
                ('description', models.CharField(blank=True, max_length=600, null=True, verbose_name='Description de la prestation')),
                ('prix', models.FloatField(verbose_name='Prix de la prestation (€)')),
            ],
        ),
        migrations.CreateModel(
            name='Facture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField(verbose_name='Numéro')),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('label', models.CharField(blank=True, max_length=100, null=True, verbose_name='Libellé court')),
                ('motif', models.CharField(blank=True, max_length=200, null=True, verbose_name='Motif complet')),
                ('fichier', models.FileField(blank=True, null=True, upload_to='factures/')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FactureElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Nom de la prestation')),
                ('quantite', models.IntegerField(verbose_name='Quantité')),
                ('prix', models.FloatField(verbose_name='Prix de la prestation')),
                ('coefficient', models.FloatField(default=1.0, verbose_name='Coefficient multiplicatif')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NoteDeFrais',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField(verbose_name='Numéro')),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('nature', models.CharField(max_length=200, verbose_name='Nature des frais')),
                ('methode_remboursement', models.CharField(choices=[('ESP', 'En espèces'), ('CHQ', 'Par chèque'), ('VIR', 'Par virement')], default='CHQ', max_length=3, verbose_name='Méthode de remboursement')),
                ('numero_cheque', models.CharField(blank=True, max_length=200, null=True, verbose_name='Numéro du chèque')),
                ('fichier', models.FileField(blank=True, null=True, upload_to='ndf/')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NoteDeFraisElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('frais', models.CharField(max_length=200, verbose_name='Frais')),
                ('montant', models.FloatField(verbose_name='Montant en €')),
                ('ndf', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='elements', to='treso.NoteDeFrais')),
            ],
        ),
    ]
